<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Hunting Subdomain Takeover — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `enumerate --domain <val>` | Enumerate target subdomains |
| `scan --domain <val> --subdomains <val>` | Scan for takeover candidates |
| `verify --subdomain <val> --service <val>` | Verify subdomain takeover feasibility |
| `report --domain <val> --format <val>` | Generate takeover report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--domain` | string | Yes | Domain parameter |
| `--subdomains` | string | Yes | Subdomains parameter |
| `--subdomain` | string | Yes | Subdomain parameter |
| `--service` | string | Yes | Service parameter |
| `--format` | string | Yes | Format parameter |
